Bat Bing

Duplicate Sweeper Compatibility

Windows Requirements

Duplicate Sweeper runs under Microsoft Windows Vista, Windows 7, Windows 8, Windows 10 and Windows 11. 32-Bit and 64-Bit versions of Windows are supported.

Duplicate Sweeper runs under Microsoft .Net Framework version 3.5. (The Duplicate Sweeper installer will detect if you do not have this installed and offer to install it for you.)

Macintosh Requirements

The Mac version of Duplciate Sweeper requires OSX 10.8 or higher (Sierra or higher).